Create a imported checkpoint
POST
/v1/projects/{projectId}/imported-checkpointscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/imported-checkpoints' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"relativePaths": [
"string"
]
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- relativePathsarray<string>必填
响应
Success
- dataobject必填
- artifactIdstring必填
- projectIdstring必填
- statusstring必填可选值pendingcomplete
- objectPrefixstring必填
- relativePathsarray<string>必填
- filesarray<ImportedCheckpointFileUploadDto>必填
响应示例
{
"data": {
"artifactId": "string",
"projectId": "string",
"status": "pending",
"objectPrefix": "string",
"relativePaths": [
"string"
],
"files": [
{
"relativePath": "string",
"objectKey": "string",
"uploadUrl": "string",
"headers": {}
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1